Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::inline_node Class Reference

Inheritance diagram for openvrml::vrml97_node::inline_node:

[legend]
List of all members.

## Detailed Description

Represents Inline node instances.

## Public Member Functions

| inline_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~inline_node () throw ()
| Destroy.
virtual inline_node * | to_inline () const
| Cast to an inline_node.
virtual const std::vector< node_ptr > & | children () const throw ()
| Get the children in the scene graph.
virtual void | activate (double timestamp, bool over, bool active, double *p)

## Private Member Functions

virtual void | do_render_child (openvrml::viewer &viewer, rendering_context context)
| Render the node.
void | load ()
| Load the children from the URL.

## Private Attributes

exposedfield< mfstring > | url_
| url exposedField.
sfvec3f | bbox_center_
| bboxCenter field.
sfvec3f | bbox_size_
| bboxSize field.
openvrml::scene * | inlineScene
| The contained scene.
bool | hasLoaded
| Flag to indicate whether the scene has been loaded.

## Friends

class | inline_class
| Class object for Inline nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::inline_node::inline_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with this node.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::inline_node::~inline_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

inline_node * openvrml::vrml97_node::inline_node::to_inline | ( |  | ) | const`[virtual]`

Cast to an inline_node.

Returns:
  a pointer to the inline_node.

const std::vector< node_ptr > & openvrml::vrml97_node::inline_node::children | ( |  | ) | const throw ()`[virtual]`

Get the children in the scene graph.

Returns:
  the child nodes in the scene graph.

Implements openvrml::grouping_node.

void openvrml::vrml97_node::inline_node::activate | ( | double | time,
|  | bool | isOver,
|  | bool | isActive,
|  | double * | p
| ) | `[virtual]`

| Pass on to enabled touchsensor child. Implements openvrml::grouping_node.

void openvrml::vrml97_node::inline_node::do_render_child | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Render the node.

Render each of the children.

Parameters:

  | viewer | a Viewer.
  | context | a rendering context.

Reimplemented from openvrml::child_node.

void openvrml::vrml97_node::inline_node::load | ( |  | ) | `[private]`

| Load the children from the URL.

## Friends And Related Function Documentation

openvrml::vrml97_node::inline_node::inline_class`[friend]`

| Class object for Inline nodes.

## Member Data Documentation

exposedfield< mfstring > openvrml::vrml97_node::inline_node::url_ `[private]`

| url exposedField.

sfvec3f openvrml::vrml97_node::inline_node::bbox_center_ `[private]`

| bboxCenter field.

sfvec3f openvrml::vrml97_node::inline_node::bbox_size_ `[private]`

| bboxSize field.

scene * openvrml::vrml97_node::inline_node::inlineScene `[private]`

| The contained scene.

bool openvrml::vrml97_node::inline_node::hasLoaded `[private]`

| Flag to indicate whether the scene has been loaded.